package com.mckessonaps.jspwiki.plugin.agregate;

import java.util.Comparator;

import com.ecyrd.jspwiki.PageTimeComparator;

/**
 * todo: javadoc AscendingModificationPageComparator
 * @author JVolkar
 */
public class AscendingModificationPageComparator implements Comparator
{

    private static final Comparator PAGE_TIME = new PageTimeComparator();
    
    /**
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object arg0, Object arg1)
    {
        //Leverage the pre-existing JSPWiki PageTimeComparator, must reverse the args
        //since it is "decending" (most recent to oldest)...
        return PAGE_TIME.compare( arg1, arg0);
    }

}
