package com.mckessonaps.jspwiki.plugin.agregate;

import java.util.Comparator;

/**
 * Comparitor for two WikiPages that does the comparisoon based on the page name
 * to get a reverse alphabetical sort.  e.g. Zzzz, Bbbb, Aaaa ...
 * @author JVolkar
 */
public class ReverseAlphaPageComparator implements Comparator
{

    private static final AlphaPageComparator ALPHA = new AlphaPageComparator();
    
    /**
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object arg0, Object arg1)
    {
        //Just delegate to an Alpha comparitor with the args reversed...
        return ALPHA.compare( arg1, arg0);
    }

}
