package com.mckessonaps.jspwiki.plugin.authors;


import java.util.Map;

import com.ecyrd.jspwiki.WikiContext;
import com.ecyrd.jspwiki.plugin.WikiPlugin;

/**
 * Emit a list of the authors of the containing page.  Limit the list to non-ip 
 * address authors, count the number of times wach author edited the page. Edit 
 * count shoudl increment for each non-consequtive edit, and each consequtive 
 * edit that was more than 1 hour from the previous.  This special handling for 
 * counting the number of edits is designed to compensate for immediate spelling 
 * fixes and incremental saves by an author. Sort the authors by thier number of 
 * edits and emit an HTML list.  
 */
public class AuthorsPlugin 
implements WikiPlugin
{

    /**
     * @see com.ecyrd.jspwiki.plugin.WikiPlugin#execute(com.ecyrd.jspwiki.WikiContext, java.util.Map)
     */
    public String execute(WikiContext context, Map paramMap) 
    {
        //todo: Write the AuthorsPlugin.
        return "AuthorsPlugin not implemented.";
    }
     
     
}
