/*
 * Created on Jan 26, 2004
 */
package com.mckessonaps.jspwiki.plugin.query.operators;

import com.mckessonaps.jspwiki.plugin.query.Operand;
import com.mckessonaps.jspwiki.plugin.query.ReferenceInfoProvider;

/**
 * @author jvolkar
 */
class NotOperator extends Operator
{
    NotOperator()
    {
        super("NOT");
    }
    
    
    public boolean isInfix()
    {
        return false;
    }
    
    
    public boolean evaluate(Operand left, Operand right, Modifier modifier, ReferenceInfoProvider  refInfoProvider, String pageName)
    {
        if (left != Operand.NULL)
            throw new RuntimeException("NotOperator expects left operand to be the NULL operand.");
        
        boolean rval = right.evaluate( modifier, refInfoProvider, pageName );
        
        return (! rval);
    }
}
