
package com.mckessonaps.jspwiki.plugin.util;

/**
 * todo: javadoc StringParam
 * @author JVolkar
 */
public class StringParam extends Parameter
{
    
    private final String m_default;
    private String m_value;
    
    public StringParam(String name, String defaultValue, boolean required, String description, ParameterGroup group)
    {
        super( name, required, description, group);
        m_default = defaultValue;
    }

    
    protected void parseSuppliedValue()
    {
        m_value = getSuppliedValue();
    }
    
    public String get()
    {
        if (usingDefault())    
            return m_default;
        
        return m_value;
    }
}
