/*
 * Created on Jan 26, 2004
 */
package com.mckessonaps.jspwiki.plugin.query.operators;


import com.mckessonaps.jspwiki.plugin.query.ReferenceInfoProvider;

/**
 * A Modifier is an awful lot like an operator, but they may span across Expressions 
 * and sub-Expressions.  A modifier is specified in the query string just like 
 * any operator, but remains "in effect" across all sub-expressions until and 
 * unless a new modifier is encountered.  If no-modifer is present the IS modifer 
 * is used by default. 
 * 
 * @author jvolkar
 */
public interface Modifier
{
    boolean evaluate(ReferenceInfoProvider refInfoProvider, String canidateName, String termName);
    
}
